// v8sharp is a community project available under the Microsoft Public License (Ms-PL)
// Code is provided as is and with no warrenty  Use at your own risk
// View the project and the latest code at http://v8sharp.codeplex.com/

#include "v8scriptexception.h"

using namespace System::Text;

namespace v8sharp {
	IList<Exception^>^ V8ScriptException::Exceptions::get() {
		return this->exceptions;
	}

	String^ V8ScriptException::CombineExceptions(IList<Exception^>^ exceptions) {
		StringBuilder^ buffer = gcnew StringBuilder(1024);
		for (int i = 0, count = exceptions->Count; i < count; i++) {
			if (i != 0) {
				buffer->AppendLine();
			}
			buffer->Append(exceptions[i]->Message);			
		}

		return buffer->ToString();
	}
}