// v8sharp is a community project available under the Microsoft Public License (Ms-PL)
// Code is provided as is and with no warrenty  Use at your own risk
// View the project and the latest code at http://v8sharp.codeplex.com/

#pragma once

using namespace System;
using namespace System::Collections::Generic;

namespace v8sharp {
	[Serializable()]
	public ref class V8ScriptException sealed : Exception {
	public:
		V8ScriptException(IList<Exception^>^ exceptions) : Exception(V8ScriptException::CombineExceptions(exceptions)) {		
			this->exceptions = exceptions;
		}

		property IList<Exception^>^ Exceptions {
			IList<Exception^>^ get();
		}

	private:
		IList<Exception^>^ exceptions;

		static String^ CombineExceptions(IList<Exception^>^ exceptions);
	};
}